summaryrefslogtreecommitdiffstats
path: root/meta-agl-profile-core/recipes-support/udisks/files/automount.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-04-24 15:13:18 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-04-28 00:28:55 +0200
commit4ac99c3a1447119363935fb986f5d9c05f032362 (patch)
treed4fdce1f65606af5111e6e4d5d21b198de9f2bf2 /meta-agl-profile-core/recipes-support/udisks/files/automount.sh
parentbb0882c5dad030f676e424265ebcd869bb3ff899 (diff)
2nd part of the layer/profile rework [1/2]
Main goal of this is to move the agl-service-* bindings into the core and to unify common recipes like wayland/weston into meta-agl-profile-graphical. As a placeholder for recipes is meta-agl-profile-demo which are being reshuffled. TLDR: agl-service move to meta-agl-profile-core. wayland/weston moves to meta-agl-profile-graphical. This patchset needs the 2nd patchset of the series to build (meta-agl-demo). Bug-AGL: SPEC-145 , SPEC-876 , SPEC-877 v2: rebase including udiscs patches from meta-agl-demo Change-Id: I5e33f72d01707fa8b826d382bccaca3addcbbc47 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'meta-agl-profile-core/recipes-support/udisks/files/automount.sh')
-rwxr-xr-xmeta-agl-profile-core/recipes-support/udisks/files/automount.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/meta-agl-profile-core/recipes-support/udisks/files/automount.sh b/meta-agl-profile-core/recipes-support/udisks/files/automount.sh
new file mode 100755
index 000000000..bb0b1ae91
--- /dev/null
+++ b/meta-agl-profile-core/recipes-support/udisks/files/automount.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+pathtoname() {
+ udevadm info -p /sys/"$1" | awk -v FS== '/DEVNAME/ {print $2}'
+}
+
+MOUNT_OPTIONS="ro,flush"
+
+rmdir /media/* &> /dev/null || true
+for DEVNAME in $(udisks --enumerate-device-files|grep -e sd[a-z]); do
+ udisks --mount-options $MOUNT_OPTIONS --mount $DEVNAME
+done
+
+stdbuf -oL -- udevadm monitor --udev -s block | while read -r -- _ _ event devpath _; do
+ if [ "$event" = add ]; then
+ DEVNAME=$(pathtoname "$devpath")
+ udisks --mount-options $MOUNT_OPTIONS --mount $DEVNAME
+ fi
+done